﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using IGDocumentation;
using Infragistics.Windows.DataPresenter;

namespace DataGridFieldMovingIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CarsBusinessLogic cbl = new CarsBusinessLogic();
            this.xamDataGrid1.DataSource = cbl.GetCars();
        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Field makeField = new Field
            {
                Name = "Make",
                Label = "Make"
            };

            Field modelField = new Field
            {
                Name = "Model",
                Label = "Model"
            };

            Field priceField = new Field
            {
                Name = "BasePrice",
                Label = "BasePrice"
            };

            Field mileageField = new Field
            {
                Name = "Mileage",
                Label = "Mileage"
            };


            e.FieldLayout.Fields.Add(makeField);
            e.FieldLayout.Fields.Add(modelField);
            e.FieldLayout.Fields.Add(priceField);
            e.FieldLayout.Fields.Add(mileageField);

        }
    }
}
